Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfileBoxZ Class Reference

## Description

Represents a Z measurement for a Profile Bounding Box tool.

Inheritance diagram for GoProfileBoxZ:

## Public Member Functions
kStatus | GoMeasurement_ClearId (GoMeasurement measurement)
| Clears the assigned ID for the given measurement. More...
k64f | GoMeasurement_DecisionMax (GoMeasurement measurement)
| Gets the maximum decision value for the given measurement. More...
k64f | GoMeasurement_DecisionMin (GoMeasurement measurement)
| Gets the minimum decision value for the given measurement. More...
kStatus | GoMeasurement_Enable (GoMeasurement measurement, kBool enable)
| Enables the given measurement for output. More...
kBool | GoMeasurement_Enabled (GoMeasurement measurement)
| Returns a boolean value representing whether the given measurement is enabled. More...
kStatus | GoMeasurement_EnableHold (GoMeasurement measurement, kBool enable)
| Sets measurement value hold for the given measurement. More...
kStatus | GoMeasurement_EnableSmoothing (GoMeasurement measurement, kBool enable)
| Sets measurement value smoothing for the given measurement. More...
kBool | GoMeasurement_HasId (GoMeasurement measurement)
| Returns whether or not the given measurement has a valid ID assigned to it. More...
kBool | GoMeasurement_HoldEnabled (GoMeasurement measurement)
| Returns a boolean value representing the current state of measurement value hold. More...
k32s | GoMeasurement_Id (GoMeasurement measurement)
| Gets the ID for the given measurement. More...
const kChar * | GoMeasurement_Name (GoMeasurement measurement)
| Gets the name for the given measurement. More...
k64f | GoMeasurement_Offset (GoMeasurement measurement)
| Returns the measurement value offset. More...
k64f | GoMeasurement_Scale (GoMeasurement measurement)
| Returns the current measurement value scaling factor. More...
kStatus | GoMeasurement_SetDecisionMax (GoMeasurement measurement, k64f max)
| Sets the maximum decision value for the given measurement. More...
kStatus | GoMeasurement_SetDecisionMin (GoMeasurement measurement, k64f min)
| Sets the minimum decision value for the given measurement. More...
kStatus | GoMeasurement_SetId (GoMeasurement measurement, k32u id)
| Sets an ID number for the given measurement. More...
kStatus | GoMeasurement_SetName (GoMeasurement measurement, const kChar *name)
| Sets the name for the given measurement. More...
kStatus | GoMeasurement_SetOffset (GoMeasurement measurement, k64f value)
| Sets the measurement value offset for the given measurement. More...
kStatus | GoMeasurement_SetScale (GoMeasurement measurement, k64f value)
| Sets the measurement value scaling for the given measurement. More...
kStatus | GoMeasurement_SetSmoothingWindow (GoMeasurement measurement, k64s value)
| Sets the measurement value smoothing window for the given measurement. More...
kStatus | GoMeasurement_SetXSmoothingPreserveInvalidEnabled (GoMeasurement measurement, kBool enable)
| Preserve invalid smoothign values. More...
kBool | GoMeasurement_SmoothingEnabled (GoMeasurement measurement)
| Returns a boolean value representing the current state of measurement value smoothing. More...
k64s | GoMeasurement_SmoothingWindow (GoMeasurement measurement)
| Returns the current measurement value smoothing window size. More...
kObject | GoMeasurement_SourceTool (GoMeasurement measurement)
| Returns the source tool of the given measurement. More...
GoMeasurementType | GoMeasurement_Type (GoMeasurement measurement)
| Gets the measurement type for the given measurement. More...
kBool | GoMeasurement_XSmoothingPreserveInvalidEnabled (GoMeasurement measurement)
| Gets Preserve invalid smoothign enable state. More...

The documentation for this class was generated from the following file:

- Tools/GoMeasurements.h